<?php
$show_all_counters = !isset($post_options['counters']);
$counters_tag = is_single() ? 'span' : 'a';
 
if ($show_all_counters || cleaning_services_strpos($post_options['counters'], 'views')!==false) {
	?>
	<<?php cleaning_services_show_layout($counters_tag); ?> class="post_counters_item post_counters_views icon-eye" title="<?php echo esc_attr( sprintf(__('Views - %s', 'cleaning-services'), $post_data['post_views']) ); ?>" href="<?php echo esc_url($post_data['post_link']); ?>"><?php cleaning_services_show_layout($post_data['post_views']); ?></<?php cleaning_services_show_layout($counters_tag); ?>>
	<?php
}

if ($show_all_counters || cleaning_services_strpos($post_options['counters'], 'comments')!==false) {
	?>
	<a class="post_counters_item post_counters_comments icon-comment-empty" title="<?php echo esc_attr( sprintf(__('Comments - %s', 'cleaning-services'), $post_data['post_comments']) ); ?>" href="<?php echo esc_url($post_data['post_comments_link']); ?>"><span class="post_counters_number"><?php cleaning_services_show_layout($post_data['post_comments']); ?></span></a>
	<?php 
}
 
$rating = $post_data['post_reviews_'.(cleaning_services_get_theme_option('reviews_first')=='author' ? 'author' : 'users')];
if ($rating > 0 && ($show_all_counters || cleaning_services_strpos($post_options['counters'], 'rating')!==false)) { 
	?>
	<<?php cleaning_services_show_layout($counters_tag); ?> class="post_counters_item post_counters_rating icon-star" title="<?php echo esc_attr( sprintf(__('Rating - %s', 'cleaning-services'), $rating) ); ?>" href="<?php echo esc_url($post_data['post_link']); ?>"><span class="post_counters_number"><?php cleaning_services_show_layout($rating); ?></span></<?php cleaning_services_show_layout($counters_tag); ?>>
	<?php
}

if ($show_all_counters || cleaning_services_strpos($post_options['counters'], 'likes')!==false) {
	// Load core messages
	cleaning_services_enqueue_messages();
	$likes = isset($_COOKIE['cleaning_services_likes']) ? $_COOKIE['cleaning_services_likes'] : '';
	$allow = cleaning_services_strpos($likes, ','.($post_data['post_id']).',')===false;
	?>
	<a class="post_counters_item post_counters_likes icon-heart <?php cleaning_services_show_layout($allow ? 'enabled' : 'disabled'); ?>" title="<?php cleaning_services_show_layout($allow ? esc_attr__('Like', 'cleaning-services') : esc_attr__('Dislike', 'cleaning-services')); ?>" href="#"
		data-postid="<?php echo esc_attr($post_data['post_id']); ?>"
		data-likes="<?php echo esc_attr($post_data['post_likes']); ?>"
		data-title-like="<?php esc_attr_e('Like', 'cleaning-services'); ?>"
		data-title-dislike="<?php esc_attr_e('Dislike', 'cleaning-services'); ?>"><span class="post_counters_number"><?php cleaning_services_show_layout($post_data['post_likes']); ?></span></a>
	<?php
}

if (is_single() && cleaning_services_strpos($post_options['counters'], 'markup')!==false) {
	?>
	<meta itemprop="interactionCount" content="User<?php echo esc_attr(cleaning_services_strpos($post_options['counters'],'comments')!==false ? 'Comments' : 'PageVisits'); ?>:<?php echo esc_attr(cleaning_services_strpos($post_options['counters'], 'comments')!==false ? $post_data['post_comments'] : $post_data['post_views']); ?>" />
	<?php
}
?>